Xero

Integrate your application with the Xero API

🚀 Quickstart

Connect to Xero with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Xero.

Authorize Xero

Go to Connections -> Add Test Connection -> Authorize, then log in to Xero. Later, you'll let your users do the same directly from your app.

Call the Xero API

Let's make your first request to the Xero API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/api.xro/2.0/Contacts" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Xero Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Xero API documentation

🧩 Pre-built syncs & actions for Xero

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

General Ledger

Function nameDescriptionTypeSource code
general-ledgerSync Xero general ledger journals, each containing journal lines with account and tax details.Sync🔗 Github

Others

Function nameDescriptionTypeSource code
create-accountCreate an account in the Xero chart of accounts.Action🔗 Github
create-bank-transactionCreate a spend or receive money bank transactionAction🔗 Github
create-contactCreate a contact in Xero.Action🔗 Github
create-credit-noteCreate a credit note for a contactAction🔗 Github
create-invoiceCreate a sales or purchase invoice.Action🔗 Github
create-itemCreate an inventory or catalog item.Action🔗 Github
create-paymentCreate a payment against an invoice or credit note.Action🔗 Github
create-purchase-orderCreate a purchase order for a contact.Action🔗 Github
get-accountRetrieve an account by AccountID.Action🔗 Github
get-bank-transactionRetrieve a bank transaction by BankTransactionID.Action🔗 Github
get-contactRetrieve a contact by ContactIDAction🔗 Github
get-credit-noteRetrieve a credit note by CreditNoteID.Action🔗 Github
get-invoiceRetrieve an invoice by InvoiceID.Action🔗 Github
get-itemRetrieve an item by ItemID.Action🔗 Github
get-paymentRetrieve a payment by PaymentID.Action🔗 Github
get-purchase-orderRetrieve a purchase order by PurchaseOrderID.Action🔗 Github
get-tenantsFetches all the tenants the connection has access to. This can be used to set the metadata to the selected tenant.Action🔗 Github
list-accountsList accounts in the Xero chart of accounts.Action🔗 Github
list-bank-transactionsList bank transactions with filters and pagination.Action🔗 Github
list-contactsList contacts with filters and pagination.Action🔗 Github
list-credit-notesList credit notes with filters and pagination.Action🔗 Github
list-invoicesList invoices with filters and pagination.Action🔗 Github
list-itemsList items with optional filtering.Action🔗 Github
list-paymentsList payments with filters and paginationAction🔗 Github
list-purchase-ordersList purchase orders with filters and paginationAction🔗 Github
list-tenantsList Xero tenants connected to the current OAuth token.Action🔗 Github
update-accountUpdate an existing account.Action🔗 Github
update-bank-transactionUpdate an existing bank transaction.Action🔗 Github
update-contactUpdate an existing contact.Action🔗 Github
update-credit-noteUpdate an existing credit note.Action🔗 Github
update-invoiceUpdate an existing invoice.Action🔗 Github
update-itemUpdate an existing item.Action🔗 Github
update-purchase-orderUpdate an existing purchase order.Action🔗 Github
accountsSync accounts from the Xero chart of accounts.Sync🔗 Github
bank-transactionsSync bank transactions from Xero.Sync🔗 Github
contactsSync contacts from Xero.Sync🔗 Github
credit-notesSync credit notes from Xero.Sync🔗 Github
invoicesSync invoices from Xero.Sync🔗 Github
itemsSync inventory and catalog items from Xero.Sync🔗 Github
organisationsSync Xero organisation records for connected tenants.Sync🔗 Github
paymentsSync payments from Xero.Sync🔗 Github
purchase-ordersSync purchase orders from Xero.Sync🔗 Github

On this page